<h2 class="text-center">Agregar un libro</h2>
<form (ngSubmit)="agregar()">
  <div class="input-group mb-3 mt-2">
    <div class="input-group-prepend">
      <span class="input-group-text" id="basic-addon1">Título</span>
    </div>
    <input type="text" class="form-control" placeholder="Inserte el título" aria-label="Username"
           name="titulo" aria-describedby="basic-addon1" [(ngModel)]="libro.titulo">
  </div>
  <div class="input-group mb-3">
    <input type="text" class="form-control" placeholder="Inserte el nombre del autor" aria-label="Username"
           name="autor" aria-describedby="basic-addon2" [(ngModel)]="libro.autor">
    <div class="input-group-append">
      <span class="input-group-text" id="basic-addon2">Autor</span>
    </div>
  </div>
  <div class="input-group mb-3">
    <div class="input-group-prepend">
      <span class="input-group-text" id="basic-addon3">Género</span>
    </div>
    <input type="text" class="form-control" placeholder="Inserte el genero" aria-label="Username"
           name="genero" aria-describedby="basic-addon3" [(ngModel)]="libro.genero">
  </div>
  <label><b>Fecha de creación:</b></label>
  <input
    type="date" name="fechaCreacion"
    value="yyyy-mm-dd"
    min="1200-01-01" max="2022-01-20"
    [(ngModel)]="libro.fechaCreacion">

  <button class="btn btn-warning mt-3 float-end" type="submit">Agregar</button><br>
  <button class="btn btn-danger" style="margin-top: 15px;" routerLink="../">Cancelar</button>
</form>
